#!/bin/csh

# shell script to make nmrpipe monolithic files and 
# projections for the 3D input spectra


# HNCA_VA
xyz2pipe -in ./HNCA_VA/test%03d.ft3      \
-out ./3D_HNCA_VA.pipe -verb -ov


proj3D.tcl -in ./3D_HNCA_VA.pipe -xyOutName ./HNCA_VA/HNCA_VA_HCproj.pipe \
-xzOutName ./HNCA_VA/HNCA_VA_HNproj.pipe -yzOutName ./HNCA_VA/HNCA_VA_CNproj.pipe


# HNCACB_VB
xyz2pipe -in ./HNCACB_VB/test%03d.ft3      \
-out ./3D_HNCACB_VB.pipe -verb -ov


proj3D.tcl -in ./3D_HNCACB_VB.pipe -xyOutName ./HNCACB_VB/HNCACB_VB_HCproj.pipe \
-xzOutName ./HNCACB_VB/HNCACB_VB_HNproj.pipe -yzOutName ./HNCACB_VB/HNCACB_VB_CNproj.pipe


# HMCMCBCA_VA
xyz2pipe -in ./HMCMCBCA_VA/test%04d.ft3      \
-out ./3D_HMCMCBCA_VA.pipe -verb -ov


proj3D.tcl -in ./3D_HMCMCBCA_VA.pipe -xyOutName ./HMCMCBCA_VA/HMCMCBCA_VA_HmCbproj.pipe \
-xzOutName ./HMCMCBCA_VA/HMCMCBCA_VA_HmCmbproj.pipe -yzOutName ./HMCMCBCA_VA/HMCBCA_VA_CbCmproj.pipe



# HMCMCBCA_VB
xyz2pipe -in ./HMCMCBCA_VB/test%04d.ft3      \
-out ./3D_HMCMCBCA_VB.pipe -verb -ov


proj3D.tcl -in ./3D_HMCMCBCA_VB.pipe -xyOutName ./HMCMCBCA_VB/HMCMCBCA_VB_HmCbproj.pipe \
-xzOutName ./HMCMCBCA_VB/HMCMCBCA_VB_HmCmbproj.pipe -yzOutName ./HMCMCBCA_VB/HNCACB_VB_CbCmproj.pipe
